Contact Us
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Pricing
  • FAQ
Current Lightning
    Radius
      🔒 Lightning strikes by time interval, point, and distance radiusget
    Bounding Box
      🔒 Lightning strikes by time interval and bounding boxget
Historical Lightning
    Historical Lightning
      🔒 Historical daily lightning strikes by point and distance radiusget
Schemas
Lightning
Lightning

Historical Lightning

Endpointhttps://dataservice.accuweather.com

🔒 Historical daily lightning strikes by point and distance radius

GET
https://dataservice.accuweather.com
/lightning/v1/historical/geoposition/radius

Get historical lightning strike data within a circular area. The response is in JSON format with GeoJSON elements.

🔒 Historical daily lightning strikes by point and distance radius › query Parameters

q
​string · required

A string that identifies the central location from which to search. Provide the coordinates as latitude,longitude in decimal format.

Example: 40.779,-73.969
startDate
​string · date-time · required

The starting date-time value for search results in ISO 8601 format (yyyy-mm-ddThh:mm:ss+hh:mm).

offset
​integer · int32 · required

A numerical value representing the first result to return. Results will be returned in sets of 5000. Offset=0 will return the first 5000 results, Offset=1 will return the second 5000 results, etc.

distanceRadius
​integer · int32 · required

The distance, in miles, from the center of the search area to the circle's outer edge. The maximum radius is 60 miles.

Default: 5
strikeType
​string

A code to filter by lightning strike type. Valid values are: intra-cloud (cloud-to-cloud): ic; cloud-to-ground: cg.

Default:
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

🔒 Historical daily lightning strikes by point and distance radius › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

🔒 Historical daily lightning strikes by point and distance radius › Responses

OK

pageCount
​integer · int32

An integer that indicates which set of results are displayed. Results are returned in sets of 5000. Offset=0 indicates the first set of 5000 results, Offset=1 indicates the second set of 5000 results, etc.

totalCount
​integer · int32

An integer that indicates that total number of lightning strikes available with this query.

resultsCount
​integer · int32

An integer that indicates that total number of lightning strikes returned with this query.

​object
​object
GET/lightning/v1/historical/geoposition/radius
curl --request GET \ --url 'https://dataservice.accuweather.com/lightning/v1/historical/geoposition/radius?q=%3Cstring%3E&startDate=%3Cstring%3E&offset=%3Cnumber%3E&distanceRadius=5' \ --header 'Authorization: Bearer YOUR_API_KEY'
shell
Example Responses
{ "pageCount": 0, "totalCount": 0, "resultsCount": 0, "lightningSummary": { "positiveStrikes": 0, "negativeStrikes": 0, "icStrikes": 0, "cgStrikes": 0, "closestStrike": { "type": "type", "features": [ { "type": "type", "geometry": { "type": "type", "coordinates": [ 0 ] }, "properties": { "id": "id", "date": "2024-08-25T15:00:00Z", "sourceId": 0, "strikeType": "strikeType", "peakCurrent": 0 } } ] } }, "lightningStrikes": { "type": "type", "features": [ { "type": "type", "geometry": { "type": "type", "coordinates": [ 0 ] }, "properties": { "id": "id", "date": "2024-08-25T15:00:00Z", "sourceId": 0, "strikeType": "strikeType", "peakCurrent": 0 } } ] } }
json
application/json

Bounding Box